# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    Action,
    ActionDetail,
    ActionGroupList,
    ActionGroupPatchBody,
    ActionGroupResource,
    ActivityLogAlertActionGroup,
    ActivityLogAlertActionList,
    ActivityLogAlertAllOfCondition,
    ActivityLogAlertLeafCondition,
    ActivityLogAlertList,
    ActivityLogAlertPatchBody,
    ActivityLogAlertResource,
    AlertingAction,
    ArmRoleReceiver,
    AutomationRunbookReceiver,
    AutoscaleErrorResponse,
    AutoscaleErrorResponseError,
    AutoscaleNotification,
    AutoscaleProfile,
    AutoscaleSettingResource,
    AutoscaleSettingResourceCollection,
    AutoscaleSettingResourcePatch,
    AzNsActionGroup,
    AzureAppPushReceiver,
    AzureFunctionReceiver,
    AzureMonitorPrivateLinkScope,
    AzureMonitorPrivateLinkScopeListResult,
    AzureResource,
    BaselineMetadata,
    Context,
    Criteria,
    DataContainer,
    DataSource,
    DataSourceConfiguration,
    DiagnosticSettingsCategoryResource,
    DiagnosticSettingsCategoryResourceCollection,
    DiagnosticSettingsResource,
    DiagnosticSettingsResourceCollection,
    Dimension,
    DynamicMetricCriteria,
    DynamicThresholdFailingPeriods,
    EmailNotification,
    EmailReceiver,
    EnableRequest,
    Error,
    ErrorAdditionalInfo,
    ErrorContract,
    ErrorDetail,
    ErrorDetailAdditionalInfoItem,
    ErrorResponse,
    ErrorResponseAutoGenerated,
    ErrorResponseAutoGenerated2,
    ErrorResponseCommon,
    ErrorResponseError,
    ErrorResponseErrorAdditionalInfoItem,
    EtwEventConfiguration,
    EtwProviderConfiguration,
    EventCategoryCollection,
    EventData,
    EventDataCollection,
    EventHubReceiver,
    EventLogConfiguration,
    GuestDiagnosticSettingsAssociationList,
    GuestDiagnosticSettingsAssociationResource,
    GuestDiagnosticSettingsAssociationResourcePatch,
    GuestDiagnosticSettingsList,
    GuestDiagnosticSettingsPatchResource,
    GuestDiagnosticSettingsResource,
    HttpRequestInfo,
    Incident,
    IncidentListResult,
    ItsmReceiver,
    LocalizableString,
    LocalizableStringAutoGenerated,
    LogMetricTrigger,
    LogProfileCollection,
    LogProfileResource,
    LogProfileResourcePatch,
    LogSearchRuleResource,
    LogSearchRuleResourceCollection,
    LogSearchRuleResourcePatch,
    LogSettings,
    LogSettingsAutoGenerated,
    LogToMetricAction,
    LogicAppReceiver,
    MetadataValue,
    Metric,
    MetricAlertAction,
    MetricAlertCriteria,
    MetricAlertMultipleResourceMultipleMetricCriteria,
    MetricAlertResource,
    MetricAlertResourceCollection,
    MetricAlertResourcePatch,
    MetricAlertSingleResourceMultipleMetricCriteria,
    MetricAlertStatus,
    MetricAlertStatusCollection,
    MetricAlertStatusProperties,
    MetricAvailability,
    MetricBaselinesResponse,
    MetricCriteria,
    MetricDefinition,
    MetricDefinitionCollection,
    MetricDimension,
    MetricNamespace,
    MetricNamespaceCollection,
    MetricNamespaceName,
    MetricSettings,
    MetricSettingsAutoGenerated,
    MetricSingleDimension,
    MetricTrigger,
    MetricValue,
    MultiMetricCriteria,
    NotificationRequestBody,
    Operation,
    OperationDisplay,
    OperationListResult,
    OperationStatus,
    PerformanceCounterConfiguration,
    PredictiveAutoscalePolicy,
    PredictiveResponse,
    PredictiveValue,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateEndpointProperty,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkScopesResource,
    PrivateLinkServiceConnectionStateProperty,
    ProxyOnlyResource,
    ProxyResource,
    Recurrence,
    RecurrentSchedule,
    Resource,
    ResourceAutoGenerated,
    ResourceAutoGenerated2,
    ResourceAutoGenerated3,
    Response,
    ResponseWithError,
    RetentionPolicy,
    ScaleAction,
    ScaleCapacity,
    ScaleRule,
    ScaleRuleMetricDimension,
    Schedule,
    ScopedResource,
    ScopedResourceListResult,
    SenderAuthorization,
    ServiceDiagnosticSettingsResource,
    ServiceDiagnosticSettingsResourcePatch,
    SingleBaseline,
    SingleMetricBaseline,
    SinkConfiguration,
    SmsReceiver,
    Source,
    SubscriptionDiagnosticSettingsResource,
    SubscriptionDiagnosticSettingsResourceCollection,
    SubscriptionLogSettings,
    SubscriptionProxyOnlyResource,
    SystemData,
    TagsResource,
    TestNotificationDetailsResponse,
    TimeSeriesBaseline,
    TimeSeriesElement,
    TimeWindow,
    TriggerCondition,
    VMInsightsOnboardingStatus,
    VoiceReceiver,
    WebhookNotification,
    WebhookReceiver,
    WebtestLocationAvailabilityCriteria,
    WorkspaceInfo,
)

from ._monitor_management_client_enums import (  # type: ignore
    AggregationType,
    AggregationTypeEnum,
    AlertSeverity,
    BaselineSensitivity,
    CategoryType,
    ComparisonOperationType,
    ConditionalOperator,
    CreatedByType,
    CriterionType,
    DataSourceKind,
    DataStatus,
    DynamicThresholdOperator,
    DynamicThresholdSensitivity,
    Enabled,
    EventLevel,
    GuestDiagnosticSettingsOsType,
    MetricClass,
    MetricStatisticType,
    MetricTriggerType,
    MetricUnit,
    NamespaceClassification,
    Odatatype,
    OnboardingStatus,
    Operator,
    PredictiveAutoscalePolicyScaleMode,
    ProvisioningState,
    QueryType,
    ReceiverStatus,
    RecurrenceFrequency,
    ResultType,
    ScaleDirection,
    ScaleRuleMetricDimensionOperationType,
    ScaleType,
    SinkConfigurationKind,
    TimeAggregationType,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "Action",
    "ActionDetail",
    "ActionGroupList",
    "ActionGroupPatchBody",
    "ActionGroupResource",
    "ActivityLogAlertActionGroup",
    "ActivityLogAlertActionList",
    "ActivityLogAlertAllOfCondition",
    "ActivityLogAlertLeafCondition",
    "ActivityLogAlertList",
    "ActivityLogAlertPatchBody",
    "ActivityLogAlertResource",
    "AlertingAction",
    "ArmRoleReceiver",
    "AutomationRunbookReceiver",
    "AutoscaleErrorResponse",
    "AutoscaleErrorResponseError",
    "AutoscaleNotification",
    "AutoscaleProfile",
    "AutoscaleSettingResource",
    "AutoscaleSettingResourceCollection",
    "AutoscaleSettingResourcePatch",
    "AzNsActionGroup",
    "AzureAppPushReceiver",
    "AzureFunctionReceiver",
    "AzureMonitorPrivateLinkScope",
    "AzureMonitorPrivateLinkScopeListResult",
    "AzureResource",
    "BaselineMetadata",
    "Context",
    "Criteria",
    "DataContainer",
    "DataSource",
    "DataSourceConfiguration",
    "DiagnosticSettingsCategoryResource",
    "DiagnosticSettingsCategoryResourceCollection",
    "DiagnosticSettingsResource",
    "DiagnosticSettingsResourceCollection",
    "Dimension",
    "DynamicMetricCriteria",
    "DynamicThresholdFailingPeriods",
    "EmailNotification",
    "EmailReceiver",
    "EnableRequest",
    "Error",
    "ErrorAdditionalInfo",
    "ErrorContract",
    "ErrorDetail",
    "ErrorDetailAdditionalInfoItem",
    "ErrorResponse",
    "ErrorResponseAutoGenerated",
    "ErrorResponseAutoGenerated2",
    "ErrorResponseCommon",
    "ErrorResponseError",
    "ErrorResponseErrorAdditionalInfoItem",
    "EtwEventConfiguration",
    "EtwProviderConfiguration",
    "EventCategoryCollection",
    "EventData",
    "EventDataCollection",
    "EventHubReceiver",
    "EventLogConfiguration",
    "GuestDiagnosticSettingsAssociationList",
    "GuestDiagnosticSettingsAssociationResource",
    "GuestDiagnosticSettingsAssociationResourcePatch",
    "GuestDiagnosticSettingsList",
    "GuestDiagnosticSettingsPatchResource",
    "GuestDiagnosticSettingsResource",
    "HttpRequestInfo",
    "Incident",
    "IncidentListResult",
    "ItsmReceiver",
    "LocalizableString",
    "LocalizableStringAutoGenerated",
    "LogMetricTrigger",
    "LogProfileCollection",
    "LogProfileResource",
    "LogProfileResourcePatch",
    "LogSearchRuleResource",
    "LogSearchRuleResourceCollection",
    "LogSearchRuleResourcePatch",
    "LogSettings",
    "LogSettingsAutoGenerated",
    "LogToMetricAction",
    "LogicAppReceiver",
    "MetadataValue",
    "Metric",
    "MetricAlertAction",
    "MetricAlertCriteria",
    "MetricAlertMultipleResourceMultipleMetricCriteria",
    "MetricAlertResource",
    "MetricAlertResourceCollection",
    "MetricAlertResourcePatch",
    "MetricAlertSingleResourceMultipleMetricCriteria",
    "MetricAlertStatus",
    "MetricAlertStatusCollection",
    "MetricAlertStatusProperties",
    "MetricAvailability",
    "MetricBaselinesResponse",
    "MetricCriteria",
    "MetricDefinition",
    "MetricDefinitionCollection",
    "MetricDimension",
    "MetricNamespace",
    "MetricNamespaceCollection",
    "MetricNamespaceName",
    "MetricSettings",
    "MetricSettingsAutoGenerated",
    "MetricSingleDimension",
    "MetricTrigger",
    "MetricValue",
    "MultiMetricCriteria",
    "NotificationRequestBody",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "OperationStatus",
    "PerformanceCounterConfiguration",
    "PredictiveAutoscalePolicy",
    "PredictiveResponse",
    "PredictiveValue",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateEndpointProperty",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkScopesResource",
    "PrivateLinkServiceConnectionStateProperty",
    "ProxyOnlyResource",
    "ProxyResource",
    "Recurrence",
    "RecurrentSchedule",
    "Resource",
    "ResourceAutoGenerated",
    "ResourceAutoGenerated2",
    "ResourceAutoGenerated3",
    "Response",
    "ResponseWithError",
    "RetentionPolicy",
    "ScaleAction",
    "ScaleCapacity",
    "ScaleRule",
    "ScaleRuleMetricDimension",
    "Schedule",
    "ScopedResource",
    "ScopedResourceListResult",
    "SenderAuthorization",
    "ServiceDiagnosticSettingsResource",
    "ServiceDiagnosticSettingsResourcePatch",
    "SingleBaseline",
    "SingleMetricBaseline",
    "SinkConfiguration",
    "SmsReceiver",
    "Source",
    "SubscriptionDiagnosticSettingsResource",
    "SubscriptionDiagnosticSettingsResourceCollection",
    "SubscriptionLogSettings",
    "SubscriptionProxyOnlyResource",
    "SystemData",
    "TagsResource",
    "TestNotificationDetailsResponse",
    "TimeSeriesBaseline",
    "TimeSeriesElement",
    "TimeWindow",
    "TriggerCondition",
    "VMInsightsOnboardingStatus",
    "VoiceReceiver",
    "WebhookNotification",
    "WebhookReceiver",
    "WebtestLocationAvailabilityCriteria",
    "WorkspaceInfo",
    "AggregationType",
    "AggregationTypeEnum",
    "AlertSeverity",
    "BaselineSensitivity",
    "CategoryType",
    "ComparisonOperationType",
    "ConditionalOperator",
    "CreatedByType",
    "CriterionType",
    "DataSourceKind",
    "DataStatus",
    "DynamicThresholdOperator",
    "DynamicThresholdSensitivity",
    "Enabled",
    "EventLevel",
    "GuestDiagnosticSettingsOsType",
    "MetricClass",
    "MetricStatisticType",
    "MetricTriggerType",
    "MetricUnit",
    "NamespaceClassification",
    "Odatatype",
    "OnboardingStatus",
    "Operator",
    "PredictiveAutoscalePolicyScaleMode",
    "ProvisioningState",
    "QueryType",
    "ReceiverStatus",
    "RecurrenceFrequency",
    "ResultType",
    "ScaleDirection",
    "ScaleRuleMetricDimensionOperationType",
    "ScaleType",
    "SinkConfigurationKind",
    "TimeAggregationType",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
