# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    AzureBackupGoalFeatureSupportRequest,
    AzureBackupServerContainer,
    AzureBackupServerEngine,
    AzureFileShareBackupRequest,
    AzureFileShareProtectableItem,
    AzureFileShareProtectionPolicy,
    AzureFileShareProvisionILRRequest,
    AzureFileShareRecoveryPoint,
    AzureFileShareRestoreRequest,
    AzureFileshareProtectedItem,
    AzureFileshareProtectedItemExtendedInfo,
    AzureIaaSClassicComputeVMContainer,
    AzureIaaSClassicComputeVMProtectableItem,
    AzureIaaSClassicComputeVMProtectedItem,
    AzureIaaSComputeVMContainer,
    AzureIaaSComputeVMProtectableItem,
    AzureIaaSComputeVMProtectedItem,
    AzureIaaSVMErrorInfo,
    AzureIaaSVMHealthDetails,
    AzureIaaSVMJob,
    AzureIaaSVMJobExtendedInfo,
    AzureIaaSVMJobTaskDetails,
    AzureIaaSVMJobV2,
    AzureIaaSVMProtectedItem,
    AzureIaaSVMProtectedItemExtendedInfo,
    AzureIaaSVMProtectionPolicy,
    AzureRecoveryServiceVaultProtectionIntent,
    AzureResourceProtectionIntent,
    AzureSQLAGWorkloadContainerProtectionContainer,
    AzureSqlContainer,
    AzureSqlProtectedItem,
    AzureSqlProtectedItemExtendedInfo,
    AzureSqlProtectionPolicy,
    AzureStorageContainer,
    AzureStorageErrorInfo,
    AzureStorageJob,
    AzureStorageJobExtendedInfo,
    AzureStorageJobTaskDetails,
    AzureStorageProtectableContainer,
    AzureVMAppContainerProtectableContainer,
    AzureVMAppContainerProtectionContainer,
    AzureVMResourceFeatureSupportRequest,
    AzureVMResourceFeatureSupportResponse,
    AzureVmWorkloadItem,
    AzureVmWorkloadProtectableItem,
    AzureVmWorkloadProtectedItem,
    AzureVmWorkloadProtectedItemExtendedInfo,
    AzureVmWorkloadProtectionPolicy,
    AzureVmWorkloadSAPAseDatabaseProtectableItem,
    AzureVmWorkloadSAPAseDatabaseProtectedItem,
    AzureVmWorkloadSAPAseDatabaseWorkloadItem,
    AzureVmWorkloadSAPAseSystemProtectableItem,
    AzureVmWorkloadSAPAseSystemWorkloadItem,
    AzureVmWorkloadSAPHanaDBInstance,
    AzureVmWorkloadSAPHanaDBInstanceProtectedItem,
    AzureVmWorkloadSAPHanaDatabaseProtectableItem,
    AzureVmWorkloadSAPHanaDatabaseProtectedItem,
    AzureVmWorkloadSAPHanaDatabaseWorkloadItem,
    AzureVmWorkloadSAPHanaHSRProtectableItem,
    AzureVmWorkloadSAPHanaSystemProtectableItem,
    AzureVmWorkloadSAPHanaSystemWorkloadItem,
    AzureVmWorkloadSQLAvailabilityGroupProtectableItem,
    AzureVmWorkloadSQLDatabaseProtectableItem,
    AzureVmWorkloadSQLDatabaseProtectedItem,
    AzureVmWorkloadSQLDatabaseWorkloadItem,
    AzureVmWorkloadSQLInstanceProtectableItem,
    AzureVmWorkloadSQLInstanceWorkloadItem,
    AzureWorkloadAutoProtectionIntent,
    AzureWorkloadBackupRequest,
    AzureWorkloadContainer,
    AzureWorkloadContainerAutoProtectionIntent,
    AzureWorkloadContainerExtendedInfo,
    AzureWorkloadErrorInfo,
    AzureWorkloadJob,
    AzureWorkloadJobExtendedInfo,
    AzureWorkloadJobTaskDetails,
    AzureWorkloadPointInTimeRecoveryPoint,
    AzureWorkloadPointInTimeRestoreRequest,
    AzureWorkloadRecoveryPoint,
    AzureWorkloadRestoreRequest,
    AzureWorkloadSAPAsePointInTimeRecoveryPoint,
    AzureWorkloadSAPAsePointInTimeRestoreRequest,
    AzureWorkloadSAPAseRecoveryPoint,
    AzureWorkloadSAPAseRestoreRequest,
    AzureWorkloadSAPHanaPointInTimeRecoveryPoint,
    AzureWorkloadSAPHanaPointInTimeRestoreRequest,
    AzureWorkloadSAPHanaPointInTimeRestoreWithRehydrateRequest,
    AzureWorkloadSAPHanaRecoveryPoint,
    AzureWorkloadSAPHanaRestoreRequest,
    AzureWorkloadSAPHanaRestoreWithRehydrateRequest,
    AzureWorkloadSQLAutoProtectionIntent,
    AzureWorkloadSQLPointInTimeRecoveryPoint,
    AzureWorkloadSQLPointInTimeRestoreRequest,
    AzureWorkloadSQLPointInTimeRestoreWithRehydrateRequest,
    AzureWorkloadSQLRecoveryPoint,
    AzureWorkloadSQLRecoveryPointExtendedInfo,
    AzureWorkloadSQLRestoreRequest,
    AzureWorkloadSQLRestoreWithRehydrateRequest,
    BEKDetails,
    BMSBackupEngineQueryObject,
    BMSBackupEnginesQueryObject,
    BMSBackupSummariesQueryObject,
    BMSContainerQueryObject,
    BMSContainersInquiryQueryObject,
    BMSPOQueryObject,
    BMSRPQueryObject,
    BMSRefreshContainersQueryObject,
    BMSWorkloadItemQueryObject,
    BackupEngineBase,
    BackupEngineBaseResource,
    BackupEngineBaseResourceList,
    BackupEngineExtendedInfo,
    BackupManagementUsage,
    BackupManagementUsageList,
    BackupRequest,
    BackupRequestResource,
    BackupResourceConfig,
    BackupResourceConfigResource,
    BackupResourceEncryptionConfig,
    BackupResourceEncryptionConfigExtended,
    BackupResourceEncryptionConfigExtendedResource,
    BackupResourceEncryptionConfigResource,
    BackupResourceVaultConfig,
    BackupResourceVaultConfigResource,
    BackupStatusRequest,
    BackupStatusResponse,
    ClientDiscoveryDisplay,
    ClientDiscoveryForLogSpecification,
    ClientDiscoveryForProperties,
    ClientDiscoveryForServiceSpecification,
    ClientDiscoveryResponse,
    ClientDiscoveryValueForSingleApi,
    ClientScriptForConnect,
    CloudErrorBody,
    ContainerIdentityInfo,
    DPMContainerExtendedInfo,
    DPMProtectedItem,
    DPMProtectedItemExtendedInfo,
    DailyRetentionFormat,
    DailyRetentionSchedule,
    DailySchedule,
    Day,
    DiskExclusionProperties,
    DiskInformation,
    DistributedNodesInfo,
    DpmBackupEngine,
    DpmContainer,
    DpmErrorInfo,
    DpmJob,
    DpmJobExtendedInfo,
    DpmJobTaskDetails,
    EncryptionDetails,
    ErrorAdditionalInfo,
    ErrorDetail,
    ExportJobsOperationResultInfo,
    ExtendedLocation,
    ExtendedProperties,
    FeatureSupportRequest,
    FetchTieringCostInfoForRehydrationRequest,
    FetchTieringCostInfoRequest,
    FetchTieringCostSavingsInfoForPolicyRequest,
    FetchTieringCostSavingsInfoForProtectedItemRequest,
    FetchTieringCostSavingsInfoForVaultRequest,
    GenericContainer,
    GenericContainerExtendedInfo,
    GenericProtectedItem,
    GenericProtectionPolicy,
    GenericRecoveryPoint,
    GetProtectedItemQueryObject,
    HourlySchedule,
    ILRRequest,
    ILRRequestResource,
    IaaSVMContainer,
    IaaSVMProtectableItem,
    IaasVMBackupRequest,
    IaasVMILRRegistrationRequest,
    IaasVMRecoveryPoint,
    IaasVMRestoreRequest,
    IaasVMRestoreWithRehydrationRequest,
    IdentityBasedRestoreDetails,
    IdentityInfo,
    InquiryInfo,
    InquiryValidation,
    InstantItemRecoveryTarget,
    InstantRPAdditionalDetails,
    Job,
    JobQueryObject,
    JobResource,
    JobResourceList,
    KEKDetails,
    KPIResourceHealthDetails,
    KeyAndSecretDetails,
    ListRecoveryPointsRecommendedForMoveRequest,
    LogSchedulePolicy,
    LongTermRetentionPolicy,
    LongTermSchedulePolicy,
    MABContainerHealthDetails,
    MabContainer,
    MabContainerExtendedInfo,
    MabErrorInfo,
    MabFileFolderProtectedItem,
    MabFileFolderProtectedItemExtendedInfo,
    MabJob,
    MabJobExtendedInfo,
    MabJobTaskDetails,
    MabProtectionPolicy,
    MonthlyRetentionSchedule,
    MoveRPAcrossTiersRequest,
    NameInfo,
    NewErrorResponse,
    NewErrorResponseError,
    OperationResultInfo,
    OperationResultInfoBase,
    OperationResultInfoBaseResource,
    OperationStatus,
    OperationStatusError,
    OperationStatusExtendedInfo,
    OperationStatusJobExtendedInfo,
    OperationStatusJobsExtendedInfo,
    OperationStatusProvisionILRExtendedInfo,
    OperationStatusValidateOperationExtendedInfo,
    OperationWorkerResponse,
    PointInTimeRange,
    PreBackupValidation,
    PreValidateEnableBackupRequest,
    PreValidateEnableBackupResponse,
    PrepareDataMoveRequest,
    PrepareDataMoveResponse,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionResource,
    PrivateLinkServiceConnectionState,
    ProtectableContainer,
    ProtectableContainerResource,
    ProtectableContainerResourceList,
    ProtectedItem,
    ProtectedItemQueryObject,
    ProtectedItemResource,
    ProtectedItemResourceList,
    ProtectionContainer,
    ProtectionContainerResource,
    ProtectionContainerResourceList,
    ProtectionIntent,
    ProtectionIntentQueryObject,
    ProtectionIntentResource,
    ProtectionIntentResourceList,
    ProtectionPolicy,
    ProtectionPolicyQueryObject,
    ProtectionPolicyResource,
    ProtectionPolicyResourceList,
    RecoveryPoint,
    RecoveryPointDiskConfiguration,
    RecoveryPointMoveReadinessInfo,
    RecoveryPointProperties,
    RecoveryPointRehydrationInfo,
    RecoveryPointResource,
    RecoveryPointResourceList,
    RecoveryPointTierInformation,
    RecoveryPointTierInformationV2,
    Resource,
    ResourceGuardOperationDetail,
    ResourceGuardProxyBase,
    ResourceGuardProxyBaseResource,
    ResourceGuardProxyBaseResourceList,
    ResourceHealthDetails,
    ResourceList,
    RestoreFileSpecs,
    RestoreRequest,
    RestoreRequestResource,
    RetentionDuration,
    RetentionPolicy,
    SQLDataDirectory,
    SQLDataDirectoryMapping,
    SchedulePolicy,
    SecuredVMDetails,
    SecurityPinBase,
    Settings,
    SimpleRetentionPolicy,
    SimpleSchedulePolicy,
    SimpleSchedulePolicyV2,
    SnapshotBackupAdditionalDetails,
    SnapshotRestoreParameters,
    SubProtectionPolicy,
    TargetAFSRestoreInfo,
    TargetDiskNetworkAccessSettings,
    TargetRestoreInfo,
    TieringCostInfo,
    TieringCostRehydrationInfo,
    TieringCostSavingInfo,
    TieringPolicy,
    TokenInformation,
    TriggerDataMoveRequest,
    UnlockDeleteRequest,
    UnlockDeleteResponse,
    UserAssignedIdentityProperties,
    UserAssignedManagedIdentityDetails,
    ValidateIaasVMRestoreOperationRequest,
    ValidateOperationRequest,
    ValidateOperationRequestResource,
    ValidateOperationResponse,
    ValidateOperationsResponse,
    ValidateRestoreOperationRequest,
    VaultJob,
    VaultJobErrorInfo,
    VaultJobExtendedInfo,
    VaultRetentionPolicy,
    VaultStorageConfigOperationResultResponse,
    WeeklyRetentionFormat,
    WeeklyRetentionSchedule,
    WeeklySchedule,
    WorkloadInquiryDetails,
    WorkloadItem,
    WorkloadItemResource,
    WorkloadItemResourceList,
    WorkloadProtectableItem,
    WorkloadProtectableItemResource,
    WorkloadProtectableItemResourceList,
    YearlyRetentionSchedule,
)

from ._recovery_services_backup_client_enums import (  # type: ignore
    AcquireStorageAccountLock,
    AzureFileShareType,
    BackupEngineType,
    BackupItemType,
    BackupManagementType,
    BackupType,
    ContainerType,
    CopyOptions,
    CreateMode,
    DataMoveLevel,
    DataSourceType,
    DayOfWeek,
    DedupState,
    EncryptionAtRestType,
    EnhancedSecurityState,
    FabricName,
    HealthState,
    HealthStatus,
    HttpStatusCode,
    IAASVMPolicyType,
    IaasVMSnapshotConsistencyType,
    InfrastructureEncryptionState,
    InquiryStatus,
    IntentItemType,
    JobOperationType,
    JobStatus,
    JobSupportedAction,
    LastBackupStatus,
    LastUpdateStatus,
    MabServerType,
    MonthOfYear,
    OperationStatusValues,
    OperationType,
    OverwriteOptions,
    PolicyType,
    PrivateEndpointConnectionStatus,
    ProtectableContainerType,
    ProtectedItemHealthStatus,
    ProtectedItemState,
    ProtectionIntentItemType,
    ProtectionState,
    ProtectionStatus,
    ProvisioningState,
    RecoveryMode,
    RecoveryPointTierStatus,
    RecoveryPointTierType,
    RecoveryType,
    RehydrationPriority,
    ResourceHealthStatus,
    RestorePointQueryType,
    RestorePointType,
    RestoreRequestType,
    RetentionDurationType,
    RetentionScheduleFormat,
    SQLDataDirectoryType,
    ScheduleRunType,
    SoftDeleteFeatureState,
    StorageType,
    StorageTypeState,
    SupportStatus,
    TargetDiskNetworkAccessOption,
    TieringMode,
    Type,
    UsagesUnit,
    ValidationStatus,
    VaultSubResourceType,
    WeekOfMonth,
    WorkloadItemType,
    WorkloadType,
    XcoolState,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "AzureBackupGoalFeatureSupportRequest",
    "AzureBackupServerContainer",
    "AzureBackupServerEngine",
    "AzureFileShareBackupRequest",
    "AzureFileShareProtectableItem",
    "AzureFileShareProtectionPolicy",
    "AzureFileShareProvisionILRRequest",
    "AzureFileShareRecoveryPoint",
    "AzureFileShareRestoreRequest",
    "AzureFileshareProtectedItem",
    "AzureFileshareProtectedItemExtendedInfo",
    "AzureIaaSClassicComputeVMContainer",
    "AzureIaaSClassicComputeVMProtectableItem",
    "AzureIaaSClassicComputeVMProtectedItem",
    "AzureIaaSComputeVMContainer",
    "AzureIaaSComputeVMProtectableItem",
    "AzureIaaSComputeVMProtectedItem",
    "AzureIaaSVMErrorInfo",
    "AzureIaaSVMHealthDetails",
    "AzureIaaSVMJob",
    "AzureIaaSVMJobExtendedInfo",
    "AzureIaaSVMJobTaskDetails",
    "AzureIaaSVMJobV2",
    "AzureIaaSVMProtectedItem",
    "AzureIaaSVMProtectedItemExtendedInfo",
    "AzureIaaSVMProtectionPolicy",
    "AzureRecoveryServiceVaultProtectionIntent",
    "AzureResourceProtectionIntent",
    "AzureSQLAGWorkloadContainerProtectionContainer",
    "AzureSqlContainer",
    "AzureSqlProtectedItem",
    "AzureSqlProtectedItemExtendedInfo",
    "AzureSqlProtectionPolicy",
    "AzureStorageContainer",
    "AzureStorageErrorInfo",
    "AzureStorageJob",
    "AzureStorageJobExtendedInfo",
    "AzureStorageJobTaskDetails",
    "AzureStorageProtectableContainer",
    "AzureVMAppContainerProtectableContainer",
    "AzureVMAppContainerProtectionContainer",
    "AzureVMResourceFeatureSupportRequest",
    "AzureVMResourceFeatureSupportResponse",
    "AzureVmWorkloadItem",
    "AzureVmWorkloadProtectableItem",
    "AzureVmWorkloadProtectedItem",
    "AzureVmWorkloadProtectedItemExtendedInfo",
    "AzureVmWorkloadProtectionPolicy",
    "AzureVmWorkloadSAPAseDatabaseProtectableItem",
    "AzureVmWorkloadSAPAseDatabaseProtectedItem",
    "AzureVmWorkloadSAPAseDatabaseWorkloadItem",
    "AzureVmWorkloadSAPAseSystemProtectableItem",
    "AzureVmWorkloadSAPAseSystemWorkloadItem",
    "AzureVmWorkloadSAPHanaDBInstance",
    "AzureVmWorkloadSAPHanaDBInstanceProtectedItem",
    "AzureVmWorkloadSAPHanaDatabaseProtectableItem",
    "AzureVmWorkloadSAPHanaDatabaseProtectedItem",
    "AzureVmWorkloadSAPHanaDatabaseWorkloadItem",
    "AzureVmWorkloadSAPHanaHSRProtectableItem",
    "AzureVmWorkloadSAPHanaSystemProtectableItem",
    "AzureVmWorkloadSAPHanaSystemWorkloadItem",
    "AzureVmWorkloadSQLAvailabilityGroupProtectableItem",
    "AzureVmWorkloadSQLDatabaseProtectableItem",
    "AzureVmWorkloadSQLDatabaseProtectedItem",
    "AzureVmWorkloadSQLDatabaseWorkloadItem",
    "AzureVmWorkloadSQLInstanceProtectableItem",
    "AzureVmWorkloadSQLInstanceWorkloadItem",
    "AzureWorkloadAutoProtectionIntent",
    "AzureWorkloadBackupRequest",
    "AzureWorkloadContainer",
    "AzureWorkloadContainerAutoProtectionIntent",
    "AzureWorkloadContainerExtendedInfo",
    "AzureWorkloadErrorInfo",
    "AzureWorkloadJob",
    "AzureWorkloadJobExtendedInfo",
    "AzureWorkloadJobTaskDetails",
    "AzureWorkloadPointInTimeRecoveryPoint",
    "AzureWorkloadPointInTimeRestoreRequest",
    "AzureWorkloadRecoveryPoint",
    "AzureWorkloadRestoreRequest",
    "AzureWorkloadSAPAsePointInTimeRecoveryPoint",
    "AzureWorkloadSAPAsePointInTimeRestoreRequest",
    "AzureWorkloadSAPAseRecoveryPoint",
    "AzureWorkloadSAPAseRestoreRequest",
    "AzureWorkloadSAPHanaPointInTimeRecoveryPoint",
    "AzureWorkloadSAPHanaPointInTimeRestoreRequest",
    "AzureWorkloadSAPHanaPointInTimeRestoreWithRehydrateRequest",
    "AzureWorkloadSAPHanaRecoveryPoint",
    "AzureWorkloadSAPHanaRestoreRequest",
    "AzureWorkloadSAPHanaRestoreWithRehydrateRequest",
    "AzureWorkloadSQLAutoProtectionIntent",
    "AzureWorkloadSQLPointInTimeRecoveryPoint",
    "AzureWorkloadSQLPointInTimeRestoreRequest",
    "AzureWorkloadSQLPointInTimeRestoreWithRehydrateRequest",
    "AzureWorkloadSQLRecoveryPoint",
    "AzureWorkloadSQLRecoveryPointExtendedInfo",
    "AzureWorkloadSQLRestoreRequest",
    "AzureWorkloadSQLRestoreWithRehydrateRequest",
    "BEKDetails",
    "BMSBackupEngineQueryObject",
    "BMSBackupEnginesQueryObject",
    "BMSBackupSummariesQueryObject",
    "BMSContainerQueryObject",
    "BMSContainersInquiryQueryObject",
    "BMSPOQueryObject",
    "BMSRPQueryObject",
    "BMSRefreshContainersQueryObject",
    "BMSWorkloadItemQueryObject",
    "BackupEngineBase",
    "BackupEngineBaseResource",
    "BackupEngineBaseResourceList",
    "BackupEngineExtendedInfo",
    "BackupManagementUsage",
    "BackupManagementUsageList",
    "BackupRequest",
    "BackupRequestResource",
    "BackupResourceConfig",
    "BackupResourceConfigResource",
    "BackupResourceEncryptionConfig",
    "BackupResourceEncryptionConfigExtended",
    "BackupResourceEncryptionConfigExtendedResource",
    "BackupResourceEncryptionConfigResource",
    "BackupResourceVaultConfig",
    "BackupResourceVaultConfigResource",
    "BackupStatusRequest",
    "BackupStatusResponse",
    "ClientDiscoveryDisplay",
    "ClientDiscoveryForLogSpecification",
    "ClientDiscoveryForProperties",
    "ClientDiscoveryForServiceSpecification",
    "ClientDiscoveryResponse",
    "ClientDiscoveryValueForSingleApi",
    "ClientScriptForConnect",
    "CloudErrorBody",
    "ContainerIdentityInfo",
    "DPMContainerExtendedInfo",
    "DPMProtectedItem",
    "DPMProtectedItemExtendedInfo",
    "DailyRetentionFormat",
    "DailyRetentionSchedule",
    "DailySchedule",
    "Day",
    "DiskExclusionProperties",
    "DiskInformation",
    "DistributedNodesInfo",
    "DpmBackupEngine",
    "DpmContainer",
    "DpmErrorInfo",
    "DpmJob",
    "DpmJobExtendedInfo",
    "DpmJobTaskDetails",
    "EncryptionDetails",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ExportJobsOperationResultInfo",
    "ExtendedLocation",
    "ExtendedProperties",
    "FeatureSupportRequest",
    "FetchTieringCostInfoForRehydrationRequest",
    "FetchTieringCostInfoRequest",
    "FetchTieringCostSavingsInfoForPolicyRequest",
    "FetchTieringCostSavingsInfoForProtectedItemRequest",
    "FetchTieringCostSavingsInfoForVaultRequest",
    "GenericContainer",
    "GenericContainerExtendedInfo",
    "GenericProtectedItem",
    "GenericProtectionPolicy",
    "GenericRecoveryPoint",
    "GetProtectedItemQueryObject",
    "HourlySchedule",
    "ILRRequest",
    "ILRRequestResource",
    "IaaSVMContainer",
    "IaaSVMProtectableItem",
    "IaasVMBackupRequest",
    "IaasVMILRRegistrationRequest",
    "IaasVMRecoveryPoint",
    "IaasVMRestoreRequest",
    "IaasVMRestoreWithRehydrationRequest",
    "IdentityBasedRestoreDetails",
    "IdentityInfo",
    "InquiryInfo",
    "InquiryValidation",
    "InstantItemRecoveryTarget",
    "InstantRPAdditionalDetails",
    "Job",
    "JobQueryObject",
    "JobResource",
    "JobResourceList",
    "KEKDetails",
    "KPIResourceHealthDetails",
    "KeyAndSecretDetails",
    "ListRecoveryPointsRecommendedForMoveRequest",
    "LogSchedulePolicy",
    "LongTermRetentionPolicy",
    "LongTermSchedulePolicy",
    "MABContainerHealthDetails",
    "MabContainer",
    "MabContainerExtendedInfo",
    "MabErrorInfo",
    "MabFileFolderProtectedItem",
    "MabFileFolderProtectedItemExtendedInfo",
    "MabJob",
    "MabJobExtendedInfo",
    "MabJobTaskDetails",
    "MabProtectionPolicy",
    "MonthlyRetentionSchedule",
    "MoveRPAcrossTiersRequest",
    "NameInfo",
    "NewErrorResponse",
    "NewErrorResponseError",
    "OperationResultInfo",
    "OperationResultInfoBase",
    "OperationResultInfoBaseResource",
    "OperationStatus",
    "OperationStatusError",
    "OperationStatusExtendedInfo",
    "OperationStatusJobExtendedInfo",
    "OperationStatusJobsExtendedInfo",
    "OperationStatusProvisionILRExtendedInfo",
    "OperationStatusValidateOperationExtendedInfo",
    "OperationWorkerResponse",
    "PointInTimeRange",
    "PreBackupValidation",
    "PreValidateEnableBackupRequest",
    "PreValidateEnableBackupResponse",
    "PrepareDataMoveRequest",
    "PrepareDataMoveResponse",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionResource",
    "PrivateLinkServiceConnectionState",
    "ProtectableContainer",
    "ProtectableContainerResource",
    "ProtectableContainerResourceList",
    "ProtectedItem",
    "ProtectedItemQueryObject",
    "ProtectedItemResource",
    "ProtectedItemResourceList",
    "ProtectionContainer",
    "ProtectionContainerResource",
    "ProtectionContainerResourceList",
    "ProtectionIntent",
    "ProtectionIntentQueryObject",
    "ProtectionIntentResource",
    "ProtectionIntentResourceList",
    "ProtectionPolicy",
    "ProtectionPolicyQueryObject",
    "ProtectionPolicyResource",
    "ProtectionPolicyResourceList",
    "RecoveryPoint",
    "RecoveryPointDiskConfiguration",
    "RecoveryPointMoveReadinessInfo",
    "RecoveryPointProperties",
    "RecoveryPointRehydrationInfo",
    "RecoveryPointResource",
    "RecoveryPointResourceList",
    "RecoveryPointTierInformation",
    "RecoveryPointTierInformationV2",
    "Resource",
    "ResourceGuardOperationDetail",
    "ResourceGuardProxyBase",
    "ResourceGuardProxyBaseResource",
    "ResourceGuardProxyBaseResourceList",
    "ResourceHealthDetails",
    "ResourceList",
    "RestoreFileSpecs",
    "RestoreRequest",
    "RestoreRequestResource",
    "RetentionDuration",
    "RetentionPolicy",
    "SQLDataDirectory",
    "SQLDataDirectoryMapping",
    "SchedulePolicy",
    "SecuredVMDetails",
    "SecurityPinBase",
    "Settings",
    "SimpleRetentionPolicy",
    "SimpleSchedulePolicy",
    "SimpleSchedulePolicyV2",
    "SnapshotBackupAdditionalDetails",
    "SnapshotRestoreParameters",
    "SubProtectionPolicy",
    "TargetAFSRestoreInfo",
    "TargetDiskNetworkAccessSettings",
    "TargetRestoreInfo",
    "TieringCostInfo",
    "TieringCostRehydrationInfo",
    "TieringCostSavingInfo",
    "TieringPolicy",
    "TokenInformation",
    "TriggerDataMoveRequest",
    "UnlockDeleteRequest",
    "UnlockDeleteResponse",
    "UserAssignedIdentityProperties",
    "UserAssignedManagedIdentityDetails",
    "ValidateIaasVMRestoreOperationRequest",
    "ValidateOperationRequest",
    "ValidateOperationRequestResource",
    "ValidateOperationResponse",
    "ValidateOperationsResponse",
    "ValidateRestoreOperationRequest",
    "VaultJob",
    "VaultJobErrorInfo",
    "VaultJobExtendedInfo",
    "VaultRetentionPolicy",
    "VaultStorageConfigOperationResultResponse",
    "WeeklyRetentionFormat",
    "WeeklyRetentionSchedule",
    "WeeklySchedule",
    "WorkloadInquiryDetails",
    "WorkloadItem",
    "WorkloadItemResource",
    "WorkloadItemResourceList",
    "WorkloadProtectableItem",
    "WorkloadProtectableItemResource",
    "WorkloadProtectableItemResourceList",
    "YearlyRetentionSchedule",
    "AcquireStorageAccountLock",
    "AzureFileShareType",
    "BackupEngineType",
    "BackupItemType",
    "BackupManagementType",
    "BackupType",
    "ContainerType",
    "CopyOptions",
    "CreateMode",
    "DataMoveLevel",
    "DataSourceType",
    "DayOfWeek",
    "DedupState",
    "EncryptionAtRestType",
    "EnhancedSecurityState",
    "FabricName",
    "HealthState",
    "HealthStatus",
    "HttpStatusCode",
    "IAASVMPolicyType",
    "IaasVMSnapshotConsistencyType",
    "InfrastructureEncryptionState",
    "InquiryStatus",
    "IntentItemType",
    "JobOperationType",
    "JobStatus",
    "JobSupportedAction",
    "LastBackupStatus",
    "LastUpdateStatus",
    "MabServerType",
    "MonthOfYear",
    "OperationStatusValues",
    "OperationType",
    "OverwriteOptions",
    "PolicyType",
    "PrivateEndpointConnectionStatus",
    "ProtectableContainerType",
    "ProtectedItemHealthStatus",
    "ProtectedItemState",
    "ProtectionIntentItemType",
    "ProtectionState",
    "ProtectionStatus",
    "ProvisioningState",
    "RecoveryMode",
    "RecoveryPointTierStatus",
    "RecoveryPointTierType",
    "RecoveryType",
    "RehydrationPriority",
    "ResourceHealthStatus",
    "RestorePointQueryType",
    "RestorePointType",
    "RestoreRequestType",
    "RetentionDurationType",
    "RetentionScheduleFormat",
    "SQLDataDirectoryType",
    "ScheduleRunType",
    "SoftDeleteFeatureState",
    "StorageType",
    "StorageTypeState",
    "SupportStatus",
    "TargetDiskNetworkAccessOption",
    "TieringMode",
    "Type",
    "UsagesUnit",
    "ValidationStatus",
    "VaultSubResourceType",
    "WeekOfMonth",
    "WorkloadItemType",
    "WorkloadType",
    "XcoolState",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
